## zcav 0.06

=== Makefile ===

PROGRAMS=zcav

all: $(PROGRAMS)

CC=gcc -O2 -g -Wall -pipe


zcav: zcav.cpp
	$(CC) zcav.cpp $(OBJS) -o zcav $(LFLAGS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	strip zcav
	cp $(PROGRAMS) $(DESTDIR)/usr/bin

%.o: %.cpp %.h
	$(CC) -c $< -o $@

clean:
	rm -f $(PROGRAMS) build-stamp install-stamp build
	rm -rf debian/tmp err out

=== debian/changelog ===
zcav (0.06) frozen unstable; urgency=low

  * Fix 100% CPU loop after reading entire disk (closes: #58729).

 -- Russell Coker <russell@coker.com.au>  Wed, 23 Feb 2000 10:58:33 +0100

zcav (0.05) unstable; urgency=low

  * Fixes description in package and bug with "-" as the file name (for standard
  * input).

 -- Russell Coker <russell@coker.com.au>  Wed, 29 Dec 1999 00:11:24 +1100

zcav (0.02) unstable; urgency=low

  * Initial release.
  * Sponsored by: Brian May <bam@debian.org>

 -- Russell Coker <russell@coker.com.au>  Mon, 29 Nov 1999 18:03:12 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: zcav
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.1.1

Package: zcav
Architecture: any
Depends: ${shlibs:Depends}
Suggests: gnuplot
Description: Test the read throughput of a hard drive at different tracks.
 A modern hard drive will have more sectors in the outer tracks because they
 are longer.  The hard drive will have a number (often more than 8) of zones
 where each zone has the same number of sectors (due to the need for an
 integral number of sectors per track).  This program allows you to determine
 the levels of performance provided by different zones and store them in a
 conveniant format for gnuplot.
 It's also good for trivial tasks like determining whether you have a 10x or a
 20x CD-ROM drive.  ;)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=zcav

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
